function onBegin()
	if getFlag("begin_cutscene_ran") then
		return
	end

	disableMovement()
	walk(48)
	say("CatCollab_CATHUNT_BEGINNING_A")
	walk(24)
	say("CatCollab_CATHUNT_BEGINNING_B")
end

function onEnd()
	enableMovement()
	setFlag("begin_cutscene_ran", true)
end